﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using ThinkGeo.MapSuite.MvcEdition;
using ThinkGeo.MapSuite.Core;
using System.Collections.ObjectModel;
using DisplayASimpleMapForMvc.Models;

namespace DisplayASimpleMapForMvc.Controllers
{
    public class IndexController : Controller
    {
        //
        // GET: /UseDraggableMarkers/

        public ActionResult Index()
        {
            return View(new MultiMapModels());
        }

        [MapActionFilter]
        public void AddMarkers(Map map, GeoCollection<object> args)
        {
            if (map != null)
            {
                SimpleMarkerOverlay markerOverlay = map.CustomOverlays["MarkerOverlay"] as SimpleMarkerOverlay;
                Random random = new Random();
                double x = map.CurrentExtent.LowerLeftPoint.X + random.NextDouble() * (map.CurrentExtent.LowerRightPoint.X - map.CurrentExtent.LowerLeftPoint.X);
                double y = map.CurrentExtent.LowerRightPoint.Y + random.NextDouble() * (map.CurrentExtent.UpperLeftPoint.Y - map.CurrentExtent.LowerLeftPoint.Y);
                markerOverlay.Markers.Add(new Marker(x, y, new ThinkGeo.MapSuite.MvcEdition.WebImage(21, 25, -10.5f, -25f)));
            }
        }
    }
}
