﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Web;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.MvcEdition;

namespace DisplayASimpleMapForMvc.Models
{
    public class MultiMapModels
    {
        private Collection<Map> maps;

        public MultiMapModels()
        {
            maps = new Collection<Map>();

            Map map1 = new Map("Map1",
                new System.Web.UI.WebControls.Unit(100, System.Web.UI.WebControls.UnitType.Percentage),
                new System.Web.UI.WebControls.Unit(100, System.Web.UI.WebControls.UnitType.Percentage));

            map1.MapUnit = GeographyUnit.DecimalDegree;
            map1.CurrentExtent = new RectangleShape(-125, 72, 50, -46);
            map1.CustomOverlays.Add(new WorldMapKitWmsWebOverlay());
            map1.CustomOverlays.Add(new SimpleMarkerOverlay("MarkerOverlay"));
            map1.OnClientClick = "map1Click";

            Map map2 = new Map("Map2",
                new System.Web.UI.WebControls.Unit(100, System.Web.UI.WebControls.UnitType.Percentage),
                new System.Web.UI.WebControls.Unit(100, System.Web.UI.WebControls.UnitType.Percentage));

            map2.MapUnit = GeographyUnit.DecimalDegree;
            map2.CurrentExtent = new RectangleShape(-125, 72, 50, -46);
            map2.CustomOverlays.Add(new WorldMapKitWmsWebOverlay());

            Map map3 = new Map("Map3",
                new System.Web.UI.WebControls.Unit(100, System.Web.UI.WebControls.UnitType.Percentage),
                new System.Web.UI.WebControls.Unit(100, System.Web.UI.WebControls.UnitType.Percentage));

            map3.MapUnit = GeographyUnit.DecimalDegree;
            map3.CurrentExtent = new RectangleShape(-125, 72, 50, -46);
            map3.CustomOverlays.Add(new WorldMapKitWmsWebOverlay());

            maps.Add(map1);
            maps.Add(map2);
            maps.Add(map3);
        }

        public Collection<Map> Maps
        {
            get { return maps; }
        }
    }
}